#include <owl\framewin.h>
#include <owl\applicat.h>
#include <stdlib.h>
#include <time.h>
#include <owl\edit.h>
#include <owl\button.h>
#include "proj.rc"

//  .
class TCatchApp : public TApplication
{
  public:
	TCatchApp() : TApplication() {}
	void InitMainWindow();
};

//   .
class TCatchWindow : public TFrameWindow
{
  protected:
	int
		 maxx,maxy,x,y, xpos,ypos,
		 game_over;			//   .
		 TButton *b;
		 TEdit  *edit;
  public:
	TCatchWindow(TWindow *parent, const char far *title);
  protected:
	void SetupWindow();
	void PushBut2();
	void EvMouseMove(UINT,TPoint &point);
	DECLARE_RESPONSE_TABLE(TCatchWindow);
};

DEFINE_RESPONSE_TABLE1(TCatchWindow,TFrameWindow)
	EV_COMMAND(CM_PUSHB2,PushBut2),
	EV_WM_MOUSEMOVE,
END_RESPONSE_TABLE;
TCatchWindow::TCatchWindow(TWindow *parent, const char far *title) :
	 TFrameWindow (parent, title)
{
  Attr.X = 100;
  Attr.Y = 100;
  Attr.W = 600;
  Attr.H = 600;
  randomize();
	maxx =450;
	maxy = 450;
  xpos = random(maxx);
  ypos = random(maxy);
  game_over = TRUE;
  b=new TButton(this,CM_PUSHB1," !",xpos,ypos,50,20);
  new TButton(this,CM_PUSHB2,"  ",410,530,170,30);
}
void TCatchWindow::SetupWindow ()
{
  TFrameWindow::SetupWindow();
}
void  TCatchWindow::PushBut2()
{
 if (game_over)
  {
	 game_over  =  FALSE;
	 SetWindowText("  !");
  }
  else MessageBox("!   !!!", "", MB_OK);
}
void TCatchWindow::EvMouseMove(UINT,TPoint &point)
{
x=point.x;
y=point.y;
if (!game_over)
  {
	SetActiveWindow();
	if ((x>xpos-30 && x<xpos+50 && y>ypos-10)||(y>ypos-20 && y<ypos+50 && x>xpos-10)||(x>xpos-30 && x<xpos+50 && y<ypos-60)||(y>ypos-20 && y<ypos+50 && x<xpos-65))//||(y>ypos +100 && x>xpos && x<xpos+50)||(y>ypos && y<ypos+20 && x<xpos+90))
	{
	delete b;
	 xpos = random(maxx);
	 ypos = random(maxy);
	b=new TButton(this,CM_PUSHB1,"  !",xpos,ypos,50,20);
	SetupWindow();
	}
	}
}
void TCatchApp::InitMainWindow()
{
  TFrameWindow *wndw = new TCatchWindow(0,
				"  ");
  SetMainWindow(wndw);
}

int OwlMain (int, char*[])
{
  return TCatchApp().Run();
}
